# Installs the CIS Conformance Pack via cloudformation
#
# CFT Source: https://docs.aws.amazon.com/config/latest/developerguide/cis-conformance-pack.html
#
# This is easier in commercial, but can't do the pack method in govcloud, so we're just applying
# the CFT itself.
resource "aws_cloudformation_stack" "CIS-Conformance-Pack" {
  name = "CIS-Conformance-Pack"

  parameters = {
  }

  template_body = file("files/CIS_conformance_pack.${var.aws_partition}.cft")

  tags = merge(var.standard_tags, var.tags)
}
